package com.clx.performance.service.collect;

import com.clx.performance.model.collect.CollectTruck;
import com.clx.performance.param.app.collect.*;
import com.clx.performance.vo.app.collect.AppCollectTruckVO;
import com.msl.common.result.Result;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface CollectTruckService {

    void updateUnloadType(CollectTruckUnloadTypeUpdateParam param);
    void updateAutoLoanStatus(CollectAutoLoanStatusUpdateParam param);
    void updateParkAddress(CollectTruckReportParkAddressUpdateParam param);
    void updateOverTonnageType(CollectTruckReportOverTonnageTypeUpdateParam param);
    void updateDistanceUsualPlaceMax(CollectTruckReportDistanceUsualPlaceMaxUpdateParam param);
    void updateDistanceLineMax(CollectTruckReportDistanceLineMaxUpdateParam param);
    void updateDistanceSendAddressMax(CollectTruckReportDistanceSendAddressMaxUpdateParam param);
    void updateGoodsType(CollectTruckReportGoodsTypeUpdateParam param);

    AppCollectTruckVO getReportInfo(String truckNo);
    List<AppCollectTruckVO> listCollectTruck(CollectTruckParam param);

}
